
%global meadversion 4.1.5
%global namedversion 4.1.5.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with extras
%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package httpcomponents-asyncclient}
%{!?scl:%global pkg_name %{name}}

%define maven_version 4.1.5.redhat-00001

Name:           %{?scl_prefix}httpcomponents-asyncclient
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache HttpComponents AsyncClient
Group:          Development/Java

%if %with mead
Source100: httpcomponents-asyncclient-4.1.5.redhat-00001-project-sources.tar.gz
Source102: httpasyncclient-cache-4.1.5.redhat-00001-sources.jar
Source103: httpasyncclient-cache-4.1.5.redhat-00001-javadoc.jar
Source104: httpasyncclient-osgi-4.1.5.redhat-00001-sources.jar
Source105: httpasyncclient-4.1.5.redhat-00001-javadoc.jar
Source106: httpasyncclient-cache-4.1.5.redhat-00001.pom
Source107: httpasyncclient-4.1.5.redhat-00001.jar
Source108: httpasyncclient-osgi-4.1.5.redhat-00001.pom
Source109: httpasyncclient-osgi-4.1.5.redhat-00001.jar
Source110: httpcomponents-asyncclient-4.1.5.redhat-00001.pom
Source111: httpasyncclient-4.1.5.redhat-00001-sources.jar
Source112: httpasyncclient-4.1.5.redhat-00001.pom
Source113: httpasyncclient-cache-4.1.5.redhat-00001.jar
%endif

License:        ASL 2.0
URL:            http://hc.apache.org/httpcomponents-asyncclient
%if %with extras
Provides:       %{?scl_prefix}httpasyncclient-cache = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}httpasyncclient-osgi = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Components to build asynchronous client side HTTP services.

%if %with javadoc
%package javadoc
Summary:        Javadoc for httpcomponents-asyncclient
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n httpcomponents-asyncclient-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-%{namedversion}-sources.jar
%if %with extras
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-cache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-cache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/httpasyncclient-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/httpasyncclient-osgi-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/httpcomponents-asyncclient-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/httpcomponents-asyncclient-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/httpcomponents-asyncclient-%{namedversion} -x META-INF/\*
%{__ln_s} httpcomponents-asyncclient-%{namedversion} %{buildroot}%{_javadocdir}/httpcomponents-asyncclient
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc BUILDING.txt LICENSE.txt NOTICE.txt README.txt RELEASE_NOTES.txt
%{_javadir}/httpasyncclient-%{namedversion}.jar
%{_javadir}/httpasyncclient.jar
%if %with javadoc
%{_javadir}/httpasyncclient-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-javadoc.jar
%endif
%{_javadir}/httpasyncclient-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-sources.jar
%if %with extras
%{_javadir}/httpasyncclient-cache-%{namedversion}.jar
%{_javadir}/httpasyncclient-cache.jar
%if %with javadoc
%{_javadir}/httpasyncclient-cache-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-cache-javadoc.jar
%endif
%{_javadir}/httpasyncclient-cache-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-cache-sources.jar
%{_javadir}/httpasyncclient-osgi-%{namedversion}.jar
%{_javadir}/httpasyncclient-osgi.jar
%if %with javadoc
%{_javadir}/httpasyncclient-osgi-%{namedversion}-javadoc.jar
%{_javadir}/httpasyncclient-osgi-javadoc.jar
%endif
%{_javadir}/httpasyncclient-osgi-%{namedversion}-sources.jar
%{_javadir}/httpasyncclient-osgi-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/httpcomponents-asyncclient-%{namedversion}
%{_javadocdir}/httpcomponents-asyncclient
%endif

%changelog
* Tue May 31 2022 cpaas-ops <cpaas-ops@redhat.com> - 4.1.5-1.redhat_00001.1
Built by CPaaS



* Thu May 26 2022 Permaine Cheung <pcheung@redhat.com> - 4.1.4-2.redhat_00001.1
- Rewrap

* Thu May 26 2022 Permaine Cheung <pcheung@redhat.com> - 4.1.4-1.redhat_00001.1
- 4.1.5.redhat-00001

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 4.1.3-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.1.3-1.redhat_2.1
- upgrade to 4.1.3.redhat-2

* Thu May 03 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 4.1.3-1.redhat_2.1
- upgrade to 4.1.3.redhat-2

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 4.1.2-1.redhat_1.1
- uprade to 4.1.2.redhat-1

* Wed Aug 26 2015 Hui Wang <huwang@redhat.com> - 4.1.0-1.redhat_1.1
- Upgrade to 4.1.0.redhat-1

* Wed May 13 2015 David Walluck <dwalluck@redhat.com> - 4.0.1-1.redhat_1.1
- release

